PUT /blueprinttemplates/{guid}
Update a blueprint template using mutations (legacy endpoint)
Update a blueprint template using mutations (legacy endpoint)
| Key | Type | Example | Description |
|---|---|---|---|
| guid required | string |
"example-string"
|
Unique identifier (GUID)
|
| Key | Type | Example | Description |
|---|---|---|---|
| authorization required | string |
"Bearer access_token"
|
Access token
|
{
"_meta": {
"guid": "example-string",
"entity": 42,
"created": 42,
"modified": 42,
"updated": 42
},
"name": "example-string",
"description": "example-string",
"content": "example-string",
"reactroot": "example-string",
"reactroot_file": "example-string",
"css": "example-string",
"js": "example-string",
"last_modified_by": {
"_meta": {
"guid": "example-string",
"entity": 42,
"created": 42,
"modified": 42,
"updated": 42
},
"firstname": "example-string",
"lastname": "example-string",
"username": "example-string"
},
"modified_reactroot_by": {
"_meta": {
"guid": "example-string",
"entity": 42,
"created": 42,
"modified": 42,
"updated": 42
},
"firstname": "example-string",
"lastname": "example-string",
"username": "example-string",
"date": 42
}
}
{
"error": "INVALID_ACCESS_TOKEN",
"code": 401
}
| Status | Error Code | Description |
|---|---|---|
401 |
INVALID_ACCESS_TOKEN |
Authentication required or invalid token |
| Permission | Description |
|---|---|
Bearer token |
Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
blueprinttemplates_update |
Required scope: blueprinttemplates_update |
Back to Blueprint Templates Return to the Blueprint Templates category to view other endpoints All API Categories Browse all available API categories